package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CompanyStructureInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-14 15:26
 */
public interface CompanyStructureInfoService {

    CompanyStructureInfo get(String id);
    boolean exist(String id);
    int insert(CompanyStructureInfo model);
    int update(CompanyStructureInfo model);
    int delete(String id);
    List<CompanyStructureInfo> list();
    Page<CompanyStructureInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<CompanyStructureInfo> findTopStructureByCompanyId(String companyId);
    List<CompanyStructureInfo> findByCompanyId(String companyId);
    CompanyStructureInfo findByCompanyIdAndName(String companyId,String structureName);
    List<CompanyStructureInfo> findByParentId(String id);

    List<CompanyStructureInfo> findByCompanyIdAndPositionName(String companyId, String positionName);
}
